Platform O&M/Migration Service (Plus)/Migration Service Operations
POSTMigration Service OperationsSince 3.0.1SynchronousAuth Required
AddV2VConversionHost
AddV2VConversionHost
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
typeStringRequiredThe type of the V2V conversion host.
hostUuidStringRequiredThe host UUID.
storagePathStringRequiredThe image storage path of the V2V migration.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/v2v-conversion-hosts
/zstack/v1/v2v-conversion-hosts
Request Example
curl -X POST 'http://{host}/zstack/v1/v2v-conversion-hosts' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","type":"<type>","hostUuid":"<hostUuid>","storagePath":"<storagePath>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "c6ac169863173a9bb5742974d731a242", "name": "V2V-Converter-01", "description": "to convert vm from foreign hypervisor", "type": "VMWARE", "hostUuid": "dcffe404cd0336a5817bfba0e56117ac", "storagePath": "/path/to/large/directory/", "state": "Enabled" } }Change History
This API has no change history records yet.
